<?php
/**
 * NavThemes Custom Functions
 *
 */
 	$default_images = array(
							'images/slider-1.jpg',
							'images/slider-2.jpg',
							'images/slider-3.jpg',
							'images/about_us.jpg',
							'images/logo.png',
							'images/service-image-1.jpg',
							'images/service-image-2.jpg',
							'images/service-image-3.jpg',
							'images/contact_img.jpg'
					);
	
	function contains($str, array $arr)
	{
		foreach($arr as $a) {
			if (stripos($str,$a) !== false) return true;
		}
		return false;
	}
	
 
// Get Resized image from url
function get_resized_image_from_id($id, $image_name='large'){
	
	/**
		@param
		$id = id
		$image_name = Resized image name from add_image_size()
	*/	
 		
	global $wpdb;
	
	$image =  wp_get_attachment_image_src( $id, $image_name);
	return $image; 
	
  }
  
// Get Resized image from url
function get_resized_image_from_url($image_url, $image_name){
	
	/**
		@param
		$image_url = image path
		$image_name = Resized image name from add_image_size()
	*/	
 	if(empty($image_url)) return ;
	
	// check if default value
	global $default_images;

	if(contains($image_url,$default_images)) {  
		$image_url = array($image_url);
		return $image_url; 
	}
	
		global $wpdb;
		$attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE guid='%s';", $image_url )); 
		
		$image =  wp_get_attachment_image_src( $attachment[0], $image_name);
		return $image; 
  }
       
  
// Get Resized image from url
function get_resized_only_image_from_url($image_url, $image_name){
	
	/**
		@param
		$image_url = image path
		$image_name = Resized image name from add_image_size()
	*/
		
	if(empty($image_url)) return ;

	// check if default value
	global $default_images;
	if(contains($image_url,$default_images)) return $image_url;
	
	global $wpdb;
	$attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE guid='%s';", $image_url )); 
	
	$image =  wp_get_attachment_image_src( $attachment[0], $image_name);
	return $image[0]; 
  }
       
	/* ----------------------------------------------------------------------------------- */
	/* Logo Tags 
	/* ----------------------------------------------------------------------------------- */

   function logo_tag(){
	   
	   $logo_tag = array();
	   
	   if(!is_home() || !is_front_page()):
	   
	   	$logo_tag['open'] = "<p itemprop='name'";
	   	$logo_tag['close'] = "</p>";
	   
	   else:
	  
	  	$logo_tag['open'] = "<h1 itemprop='name'";
	   	$logo_tag['close'] = "</h1>";
	   
	   endif;
	   
	   return $logo_tag; 
	   
   }
   
   	/* ----------------------------------------------------------------------------------- */
	/* Description Tags 
	/* ----------------------------------------------------------------------------------- */

   function description_tag(){
	   
	   $description_tag = array();
	   
	   if(!is_home() || !is_front_page()):
	   
	   	$description_tag['open'] = "<h3 itemprop='description'";
	   	$description_tag['close'] = "</h3>";
	   
	   else:
	  
	   	$description_tag['open'] = "<h2 itemprop='description'";
	   	$description_tag['close'] = "</h2>";
	   
	   endif;
	   
	   return $description_tag;
	   
   }
   
   if ( ! function_exists( 'navthemes_entry_meta' ) ) :
   
/**
 * Set up post entry meta.
 */
function navthemes_entry_meta() {
	
	// Translators: used between list items, there is a space after the comma.
	$categories_list = '<span class="category" itemprop="articleSection"><i class="fa fa-bookmark"></i>'. get_the_category_list( __( ', ', 'truewest' ) ) . "</span>";
  

	$date = sprintf( '<span class="date"><i class="fa fa-clock-o"></i> <a href="%1$s" title="%2$s" rel="bookmark"><time itemprop="datePublished" datetime="%3$s">%4$s</time></a></span>',
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() )
	);

	$author = sprintf( '<span itemprop="author"><i class="fa fa-user"></i> <span class="author"><a href="%1$s" title="%2$s" rel="">%3$s</a></span></span>',
		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
		esc_attr( sprintf( __( 'View all posts by %s', 'truewest' ), get_the_author() ) ),
		get_the_author()
	);
	
	$comment_number = get_comments_number();
	$comment_number = sprintf( _n( '1 Comment', '%s Comments', $comment_number, 'truewest' ), $comment_number );
	$comment_number =  sprintf( ' <span class="comments" itemprop="interactionCount"> <i class="fa fa-comment"></i><a href="%1$s" title="%2$s" rel="comments">%2$s</a></span>',
		get_comments_link(),
		$comment_number
	);

  
  	// Translators: used between list items, there is a space after the comma.
	$tag_list = '<span class="tags"> <i class="fa fa-tags"></i> '. get_the_tag_list( '', __( ', ', 'truewest' ) ). '</span>';

	$utility_text = __( ' %1$s %3$s %4$s %5$s %2$s ', 'truewest' );	
	
  	// Translators: 1 is category, 2 is tag, 3 is the date, 4 is the author's name and 5 is comments.
	echo $categories_list ;
	echo $date ;
	echo $author ;
	echo $comment_number ;
	echo $tag_list ;
 }



endif;
 
 
 if ( ! function_exists( 'navthemes_comment' ) ) :
/**
 * Template for comments and pingbacks.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 */
function navthemes_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
		// Display trackbacks differently than normal comments.
	?>
	<li <?php comment_class(); ?> id="comment-<?php echo comment_ID(); ?>">
		<p><?php _e( 'Pingback:', 'truewest' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', 'truewest' ), '<span class="edit-link">', '</span>' ); ?></p>
        </li>
	<?php
			break;
		default :
		// Proceed with normal comments.
		global $post;
	?>
     
     <li class="comment_block" id="comment-<?php comment_ID(); ?>">
     
         <div class="col-md-10 col-sm-10">
            <div class=" col-md-2 col-sm-2"><?php echo get_avatar( $comment, 44 ); ?></div>
            <div class="col-md-10 col-sm-10 no-padding">
                <h3><?php printf( '<cite><b class="fn">%1$s</b> %2$s</cite>',
                            get_comment_author_link(),
                            // If current post author is also comment author, make it known visually.
                            ( $comment->user_id === $post->post_author ) ? '<span>' . __( 'Post author', 'truewest' ) . '</span>' : ''
                        ); ?>
             </h3>
            <span><?php
                        printf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
                            esc_url( get_comment_link( $comment->comment_ID ) ),
                            get_comment_time( 'c' ),
                            /* translators: 1: date, 2: time */
                            sprintf( __( '%1$s at %2$s', 'truewest' ), get_comment_date(), get_comment_time() )
                        );
                    ?></span>
                    
            <?php if ( '0' == $comment->comment_approved ) : ?>
                    <i class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'truewest' ); ?></i>
                <?php endif; ?>
            
            <p> 		<?php comment_text(); ?>
                    <?php edit_comment_link( __( 'Edit', 'truewest' ), '<p class="edit-link">', '</p>' ); ?>  
             </p>
            </div>
        </div>
        <div class="col-md-2 col-sm-2"><?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply', 'truewest' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></div>
      <div class="clearfix"></div>
          
       
          
          </li>                 
                                 
	<?php
		break;
	endswitch; // end comment_type check
}
endif;
 
    

	/* ----------------------------------------------------------------------------------- */
	/* Add Footer
	/* ----------------------------------------------------------------------------------- */

	function navthemes_footer(){
				echo '<div class="top_btn">
					  <a class="cd-top" href="#0"></a>
								</div>';
				
	}
	
	add_action('wp_footer','navthemes_footer');
	

	/* ----------------------------------------------------------------------------------- */
	/* Pagination
	/* ----------------------------------------------------------------------------------- */
	
	function navthemes_number_post_nav() {

		 if( is_singular() )
        return;

		global $wp_query;
	
		/** Stop execution if there's only 1 page */
		if( $wp_query->max_num_pages <= 1 )
			return;
	
		$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
		$max   = intval( $wp_query->max_num_pages );
	
		/**	Add current page to the array */
		if ( $paged >= 1 )
			$links[] = $paged;
	
		/**	Add the pages around the current page to the array */
		if ( $paged >= 3 ) {
			$links[] = $paged - 1;
			$links[] = $paged - 2;
		}
	
		if ( ( $paged + 2 ) <= $max ) {
			$links[] = $paged + 2;
			$links[] = $paged + 1;
		}
	
		echo '<div class="text-center"><ul class="pagination">' . "\n";
	
		/**	Previous Post Link */
		if ( get_previous_posts_link() )
			printf( '<li>%s</li>' . "\n", get_previous_posts_link() );
	
		/**	Link to first page, plus ellipses if necessary */
		if ( ! in_array( 1, $links ) ) {
			$class = 1 == $paged ? ' class="active"' : '';
	
			printf( '<li><a href="%s" %s>%s</a></li>' . "\n", esc_url( get_pagenum_link( 1 ) ), $class, '1' );
		}
	
		/**	Link to current page, plus 2 pages in either direction if necessary */
		sort( $links );
		foreach ( (array) $links as $link ) {
			$class = $paged == $link ? ' class="active"' : '';
			printf( '<li><a href="%s" %s>%s</a></li>' . "\n", esc_url( get_pagenum_link( $link ) ), $class, $link );
		}
	
		/**	Link to last page, plus ellipses if necessary */
		if ( ! in_array( $max, $links ) ) {
			$class = $paged == $max ? ' class="active"' : '';
			printf( '<li><a href="%s" %s>%s</a></li>' . "\n", esc_url( get_pagenum_link( $max ) ), $class, $max );
		}
	
		/**	Next Post Link */
		if ( get_next_posts_link() )
			printf( '<li>%s</li>' . "\n", get_next_posts_link() );
	
		echo '</ul></div>' . "\n";

		}


	// Get Words from a string
	function get_words($content,$word_count=10,$suffix=''){
		$pieces = explode(" ", $content);
		echo $first_part = implode(" ", array_splice($pieces, 0, $word_count)) . $suffix ;
		
	}
 
 	
	if ( ! function_exists( 'navthemes_post_thumbnail' ) ) :
	/**
	 * Display an optional post thumbnail.
	 *
	 * Wraps the post thumbnail in an anchor element on index views, or a div
	 * element when on single views.
	 *
	 */
	function navthemes_post_thumbnail($image = null ) {
		if ( post_password_required() || is_attachment() ) {
			return;
		}
		
	  if(has_post_thumbnail()):		
		
		if ( is_singular() && $image == null) :
		?>
	
		<div class="post-thumbnail">
			<?php the_post_thumbnail( 'large'); ?>
		</div><!-- .post-thumbnail -->
			
		<?php elseif ($image != null) : ?>
        	
		<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
			<?php
				the_post_thumbnail( $image , array( 'alt' => get_the_title() ) );
			?>
		</a>
            
        <?php else : ?>
	
		<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
			<?php
				the_post_thumbnail( 'post-thumbnail', array( 'alt' => get_the_title() ) );
			?>
		</a>
	
		<?php endif; // End is_singular()
	    
          endif; // !has post thumbnails	
		}
	endif;
	
	
	function navthemes_post_thumbnails_cond($image){
		if ( has_post_thumbnail() ) {
			the_post_thumbnail($image);
		}
		else {
			echo '<img src="' . get_template_directory_uri() . '/images/no-image.jpg" />';
		}
	}
	function navthemes_post_thumbnails_cond_src($image){
		global $post;
		if ( has_post_thumbnail() ) {
			$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $image );
		 	return $url = $thumb['0']; 
		}
	}
 
 
 // MENU
 function navthemes_nav_description( $item_output, $item, $depth, $args ) {

$item_output = str_replace( '>' . $args->link_before . $item->title, ' itemprop="url" >' . $args->link_before. '<span itemprop="name">' . $item->title . '</span>', $item_output );
	
	return $item_output;
}

add_filter( 'walker_nav_menu_start_el', 'navthemes_nav_description', 10, 4 );


	/* ----------------------------------------------------------------------------------- */
	/* Related Posts By Category
	/* ----------------------------------------------------------------------------------- */
	 
function related_posts(){
	global $post;
	global $navthemes_options;
	$related = get_posts( 
		array( 
			   'category__in' => wp_get_post_categories($post->ID), 
			   'numberposts' => 3, 
			   'post__not_in' => array($post->ID),
			   'post_status'      => 'publish',
			   ) );
	
	 if( $related ):
	
	 echo '<div class="related-posts widget">';?>
	<h3 class="widget-title heading related-post-title"><?php _e( "Related Posts" , "truewest" )?></h3>
    <?php 
	 foreach( $related as $post ) {
	 setup_postdata($post); 
	 		
			// Valid Image // 
     		 $image = "related-post-image-sidebar";
	?>
			<div class="col-md-4">
        	<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php navthemes_post_thumbnail($image); ?></a>
        	<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><h3 class="post-title"><?php the_title(); ?></h3></a>
            <?php
				echo '<p>'.implode(' ', array_slice(explode(' ', strip_tags(get_the_content())), 0, 10)).'...<br/>
				<a href="'. get_permalink() .'">'.__( "Read More", "truewest" ).'</a></p>' ?>
			</div>   
	<?php }
	echo '</div>';
	wp_reset_postdata(); 
	endif;
	
	echo "<div class='clearboth clearfix'></div>";
	
} 


	/* ----------------------------------------------------------------------------------- */
	/* Home Slider
	/* ----------------------------------------------------------------------------------- */

function home_slider(){
	
	
	if(get_theme_mod('slider_active' , 1)):	

		// ADD JS HERE //
		$script = '<script>
		jQuery(document).ready(function(){
		// Changing Header on Scrolling //
	 			jQuery("#home_slider").owlCarousel({
					singleItem:true,
					lazyLoad : true,
					autoPlay : 3000,
			 	});
				
	}) // Window load end here 
   </script>';
   
   echo $script;	 
   
	echo '<div class="slider_wrapper">
		<div id="home_slider">';
		
	$slides = 3;
	$repeater = 3;	
	for ($i = 1; $i<=$slides; $i++) { 
		
		$slider_image = "slider_image".$i; 
		$slider_title = "slider_title".$i; 
		$slider_text = "slider_text".$i; 
		
			$slide_no = $i;
	 	
		if($slide_no>$repeater) : $slide_no = $i-$repeater; endif;
	
		$slider_image = get_resized_only_image_from_url(get_theme_mod($slider_image , get_template_directory_uri() . "/images/slider-".$slide_no.".jpg"), "slider_image");
		$slider_title = get_theme_mod($slider_title, 'Slider Title'.$i);
		$slider_text = get_theme_mod($slider_text,'You can have anything here, which makes a good impression on your visitor');
	
		if(!empty($slider_image)):	
		 
		echo'<div id="slider_one" class="slider-item" style="height:611px; background-image:url('. $slider_image . ');">
					<div class="overly_bg">
						<h1>'.$slider_title.'</h1>
						<p>'.$slider_text.'</p>
					</div>
			 </div>';	
	   endif;
		
	} 
	
	echo '</div></div>';	
	endif;
	
}